Results 1 to 6 of 6

Thread: Newbie Needs help installing programs

Hybrid View

  1. #1
    Nutz
    Guest

    Newbie Needs help installing programs

    using Caldera2.4 and I am trying to install gnome onto it, why?because Im a newbie and want to learn linux. but here is my problem: i install the packages needed ./configure, make, make install-with no errors at all. but when I go onto the next package (like gtk)and its dependent on what version of glib I have I get this message at the end of the config saying it's not the right version or it failed to compile or link. :'(arghh!!!any help/tips/suggestions on how to do this correctly would be great (I'm trying to de-windoze meself)

  2. #2
    Sekihmet
    Guest

    Re: Newbie Needs help installing programs

    Thats the spirit ! De-Windoze the world!

    What made you choose gnome over KDE? (curious, no flames ! haha )

    Dependency issues are vast in the world of linux... Alot of the time you have to install new/older versions of programs you already have installed so others will work. I'd say read the README for GTK and make sure the proper version of glib is installed. Also check all other dependencies it requires and double check those. Its common place to have to install new things you've never heard of before installing programs you've never heard of to install the program you want to! lol

    Each program seems to have its own method of checking the version (as i learned when compiling a kernel for the first time), I don't recall offhand what it is for glib. A lot of the time you can just exec the program with no switches (options like -x) and it will give a usage statement. The version is usually there.

    A piece of advice... if the program/library/whatever is a newer version then the one required, don't assume it will work hehe.

    Sorry for my inability to help efficiently/make sense of what I'm trying to say, I'm new to troubleshooting, this is the first board I've ever attempted it on!

  3. #3
    Nutz
    Guest

    Re: Newbie Needs help installing programs

    thanks for the help
    why do I want to install gnome? becuase its not in caldera, and I want to learn linux, and part of learning is installing programs right(we sure aint in windOZ are we toto?)UPDATE>>got gtk to recognize glib( I guess the Stihl chainsaw scared it..*)now im trying to finish gnome with gnome-vfs-1.2 and it says need Oaf. OK fine I get Oaf now its says looking for -lpopt <=1.5 no
    where in the blue blazes is this file!!!!!!I installed popt-1.6.2
    why won't it recgonize new updates!!<bout ready to take a chainsaw to my caldera disk,and my free packard bellch>
    btw-as soon as my fast computer with my slower than a chevy chevette of a modem gets done downloading slackware goodbye caldera

    *didn't really,felt it like though

  4. #4
    Sekihmet
    Guest

    Re: Newbie Needs help installing programs

    When all else fails, use www.rpmfind.net

    You'll find <= popt-1.5 at this link:
    http://rpmfind.net/linux/rpm2html/search.php?query=popt

  5. #5
    Sekihmet
    Guest

    Re: Newbie Needs help installing programs

    oh ya!

    YAY SLACKWARE!! ;D

  6. #6
    Nutz
    Guest

    Re: Newbie Needs help installing programs

    Thanks for the help, much appreciated
    btw- 15 more hours to go for slackware..

Similar Threads

  1. Need help installing Kopete (total linux newbie)
    By AljoshaNL in forum Linux - Software, Applications & Programming
    Replies: 29
    Last Post: 08-27-2005, 07:03 AM
  2. Newbie question-Need help installing LAN card
    By Jared5755 in forum Linux - General Topics
    Replies: 6
    Last Post: 02-05-2005, 06:36 PM
  3. installing programs in linux
    By Dswissmiss in forum Linux - Software, Applications & Programming
    Replies: 3
    Last Post: 09-21-2002, 05:55 AM
  4. Replies: 8
    Last Post: 06-04-2002, 02:31 AM
  5. Installing programs
    By mugs in forum Linux - Software, Applications & Programming
    Replies: 1
    Last Post: 05-29-2002, 12:31 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •